<%- include('./include/header.ejs'); -%>

    <body class="hold-transition sidebar-mini">
        <%- include('./include/navBar.ejs'); -%>
            <%- include('./include/slideBar.ejs'); -%>
                <section class="content-wrapper">
                    <div class="container-fluid width: auto">
                        <div class="row">
                            <div class="col-12">
                                <div class="card">
                                    <div class="card-header">
                                        <button type="button" id="addCategory" class="btn btn-primary  float-right"> Add
                                            category</button>
                                        <h3 class="card-title">Category list</h3>
                                    </div>
                                    <!-- /.card-header -->
                                    <div class="card-body">
                                        <table id="dataTable" class="table table-bordered table-hover">
                                            <thead style="max-width: 1px;">
                                                <tr style="max-width: 1px;">
                                                    <th style="max-width: 1px;">name</th>
                                                    <th style="min-width: 66px;">action</th>
                                                </tr>
                                            </thead>
                                        </table>
                                    </div>
                                    <!-- /.card-body -->
                                </div>
                                <!-- /.card -->
                            </div>
                            <!-- /.col -->
                        </div>
                        <div class="float-right ">
                            <a href="/admin/user/home/view">Back to home >>></a>
                        </div>
                    </div>
                </section>
                <%- include('./include/footer.ejs'); -%>
                    <script>
                        $(document).ready(function () {
                            $("#addCategory").click(function () {
                                window.location.href = "/admin/category/add/view"
                            })
                            var table = $('#dataTable').dataTable({
                                'responsive': true,
                                "autoWidth": false,
                                "paging": true,
                                "searching": true,
                                "ordering": true,
                                "serverSide": true,
                                "lengthChange": true,
                                ajax: function (data, callback, settings) {
                                    console.log("dlfja", data.start)
                                    console.log('settings :>> ', settings);
                                    $.ajax({
                                        url: '/admin/category/list',
                                        method: 'get',
                                        headers: { "Authorization": "Bearer " + localStorage.getItem("token") },
                                        data: {
                                            RecordsStart: data.start,
                                            PageSize: data.perPageRecord
                                        },
                                        dataType: 'json',
                                        success: function (data) {
                                            console.log('data :>> ', data);
                                            callback({
                                                recordsTotal: data.responseData.totalRecords,
                                                recordsFiltered: data.responseData.RecordsFiltered,
                                                data: data.responseData.list,
                                            })
                                        },
                                        error: function (data) {
                                            console.log(data);
                                        }
                                    })

                                },

                                "columns": [
                                    { "title": "name", 'data': 'name' },
                                    {
                                        'title': "action", "data": "_id",
                                        render: function (data) {
                                            return `<button style='font-size:12px;'  id='editButton' onclick='window.location=\"/admin/category/update/view/${data}\";'><span class='fas fa-edit' > </span></button>  <button style='font-size:12px; color:red;' id='deleteButton' onclick='deleteCategory(\"${data}\");'><span class='fa fa-trash ' aria-hidden='true'></span></button>`;
                                        }
                                    },
                                ],
                                order: [[1, 'asc']],
                                search: {
                                    return: true,
                                },
                            })
                            // $.ajax({
                            //     url: '/admin/category/list',
                            //     method: 'get',
                            //     headers: { "Authorization": "Bearer " + localStorage.getItem("token") },
                            //     dataType: 'json',
                            //     success: function (data) {
                            //         console.log('data.responseData.list :>> ', data.responseData.list);
                            //         $('#dataTable').dataTable({
                            //             'responsive': true,
                            //             "autoWidth": false,
                            //             "paging": true,
                            //             "searching": true,
                            //             "ordering": true,
                            //             "serverSide": true,
                            //             "lengthChange": true,
                            //             data: data.responseData.list,
                            //             "columns": [
                            //                 { "title": "name", 'data': 'name' },
                            //                 {
                            //                     'title': "action", "data": "_id",
                            //                     render: function (data) {
                            //                         return `<button style='font-size:12px;'  id='editButton' onclick='window.location=\"/admin/category/update/view/${data}\";'><span class='fas fa-edit' > </span></button>  <button style='font-size:12px; color:red;' id='deleteButton' onclick='deleteCategory(\"${data}\");'><span class='fa fa-trash ' aria-hidden='true'></span></button>`;
                            //                     }
                            //                 },
                            //             ],
                            //             search: {
                            //                 return: true,
                            //             },
                            //         })
                            //     }
                            // })
                        })

                        function deleteCategory(categoryId) {
                            $.ajax({
                                url: `/admin/category/delete/${categoryId}`,
                                method: 'delete',
                                dataType: 'json',
                                headers: { "Authorization": "Bearer " + localStorage.getItem("token") },
                                success: function (data) {
                                    if (data.responseCode == 200) {
                                        toastr.success(data.responseMessage)
                                        $('#dataTable').DataTable().ajax.reload()
                                    }
                                    if (data.responseCode == 400) {
                                        toastr.error(data.responseMessage)
                                    }
                                },
                                error: function (data) {
                                    console.log(data);
                                },
                            })
                        }
                    </script>

    </body>

    </html>